version: "3"
services:
  yaj-upload:
    # 指定容器名称
    container_name: yaj-upload
    # 重启机制
    restart: always
    build:
      context: ./               # 指定设定上下文根目录，然后以该目录为准寻找Dockerfile
      dockerfile: yaj-upload.dockerfile  #DockerFile 真正所在位置
    image: yaj-upload:1.0.1
    volumes:
      # 挂载日志 -v A:B ,A指宿主机位置，B指容器位置
      - /usr/local/youxianxin/service/log/yaj-upload:/logback
      # 指定容器时间为宿主机时间
      - /etc/localtime:/etc/localtime
    # 访问端口cd
    ports:
      - "8000:8000"
    #启动容器后执行的命令
    entrypoint: java -server -Xms256m -Xmx1024m -jar -Duser.timezone=GMT+8 yaj-upload.jar

